<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="fr"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>WeatherMapper.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">WeatherApi4</a> &gt; <a href="index.source.html" class="el_package">com.m2.tiila.weather.mapper</a> &gt; <span class="el_source">WeatherMapper.java</span></div><h1>WeatherMapper.java</h1><pre class="source lang-java linenums">package com.m2.tiila.weather.mapper;

import com.m2.tiila.weather.entity.PrevisionEntity;
import dto.openweather.Model200;
import dto.weatherapi.Prevision;

import java.sql.Date;
import java.time.Instant;
import java.time.LocalDate;
import java.time.ZoneId;
import java.time.ZoneOffset;

<span class="nc" id="L13">public class WeatherMapper {</span>
  public static PrevisionEntity toEntity(Model200 dto) {
<span class="fc" id="L15">    PrevisionEntity entity = new PrevisionEntity();</span>
<span class="fc" id="L16">    entity.setTemperature(dto.getMain().getTemp().floatValue());</span>
<span class="fc" id="L17">    entity.setCity(dto.getName());</span>
<span class="fc" id="L18">    return entity;</span>
  }

  public static Prevision toDto(PrevisionEntity entity) {
<span class="fc" id="L22">    Prevision dto = new Prevision();</span>
<span class="fc" id="L23">    dto.setTemperature((int) entity.getTemperature());</span>
<span class="fc" id="L24">    dto.setCity(entity.getCity());</span>
<span class="fc" id="L25">    return dto;</span>
  }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.9.202303310957</span></div></body></html>